apiVersion: apps.openshift.io/v1
kind: DeploymentConfig
metadata:
  labels:
    app: track-service-simulator
  name: track-service-simulator
spec:
  replicas: 3
  selector:
    app: track-service-simulator
    deploymentconfig: track-service-simulator
  strategy:
    activeDeadlineSeconds: 21600
    resources: {}
    rollingParams:
      intervalSeconds: 1
      maxSurge: 25%
      maxUnavailable: 25%
      timeoutSeconds: 600
      updatePeriodSeconds: 1
    type: Rolling
  template:
    metadata:
      labels:
        app: track-service-simulator
        deploymentconfig: track-service-simulator
    spec:
      containers:
        - env:
            - name: JAVA_OPTS
              value: '-Xms256m -Xmx256m -Dconfig.resource=prod-application.conf'
            - name: KAFKA_SERVICE_NAME
              value: _clients._tcp.track-service-kafka-kafka-brokers
            - name: REQUIRED_CONTACT_POINT_NR
              value: '3'
            - name: APPLICATION_SECRET
              valueFrom:
                secretKeyRef:
                  key: secret
                  name: track-service-simulator-application-secret
          image: docker-registry.default.svc:5000/metheney/track-service-simulator:latest
          imagePullPolicy: Always
          name: track-service-simulator
          resources:
            limits:
              memory: 512Mi
            requests:
              cpu: 0.25
              memory: 512Mi
          readinessProbe:
            httpGet:
              path: "/ready"
              port: management
            periodSeconds: 10
            failureThreshold: 10
            initialDelaySeconds: 20
          livenessProbe:
            httpGet:
              path: "/alive"
              port: management
            periodSeconds: 10
            failureThreshold: 10
            initialDelaySeconds: 20
          ports:
            - containerPort: 8558
              protocol: TCP
              name: management
            - containerPort: 9000
              protocol: TCP
              name: api
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
  test: false
  triggers:
    - type: ConfigChange
    - imageChangeParams:
        automatic: true
        containerNames:
          - track-service-simulator
        from:
          kind: ImageStreamTag
          name: 'track-service-simulator:latest'
          namespace: metheney
      type: ImageChange
---
apiVersion: v1
kind: Service
metadata:
  name: track-service-simulator
spec:
  ports:
    - name: http
      port: 80
      targetPort: 9000
  selector:
    app: track-service-simulator
  type: ClusterIP
